> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/zh-hant/api-documentation/blacklist-whitelist-management/remove-addresses-from-blacklist.md).

# 從黑名單中移除地址

## 从黑名单移除地址

> 将一个或多个地址从黑名单移除。

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"黑名单","description":"黑名单管理 API。"}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"生产环境服务器"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"BlacklistOrWhiteAddress":{"type":"object","required":["addresses"],"properties":{"addresses":{"type":"array","description":"待添加的地址列表。","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressData"}}}},"BlacklistOrWhitelistAddressData":{"type":"object","required":["address","chainId","reason"],"properties":{"chainId":{"type":"integer","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"address":{"type":"string","description":"待添加的地址。"},"reason":{"type":"string","description":"添加该地址的原因。"}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"BlacklistAddressRemoveResult":{"type":"object","properties":{"removedAddresses":{"type":"array","description":"已移除地址列表。","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressData"}},"failed":{"type":"array","description":"添加失败的地址列表。","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressFailedData"}}}},"BlacklistOrWhitelistAddressFailedData":{"type":"object","properties":{"chainId":{"type":"integer","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"address":{"type":"string","description":"待添加的地址。"},"reason":{"type":"string","description":"添加地址原因。"},"status":{"type":"integer","description":"添加该地址失败原因。"}}}}},"paths":{"/blacklists/remove":{"post":{"tags":["黑名单"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlacklistOrWhiteAddress"}}}},"responses":{"200":{"description":"成功响应","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"该请求的状态码。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"该请求的 message。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"data":{"$ref":"#/components/schemas/BlacklistAddressRemoveResult"}}}}}}},"description":"将一个或多个地址从黑名单移除。","summary":"从黑名单移除地址"}}}}
```
